const uuid = require('uuid/v4');
const firebase = require("firebase");
// Required for side-effects
require("firebase/firestore");

// Initialize Cloud Firestore through Firebase
firebase.initializeApp({
    apiKey: "AIzaSyD8pqCnSfwOMVYKJpEn0wAwRMUSYa4yPYM",
    authDomain: "birds-772c7.firebaseapp.com",
    projectId: "birds-772c7"
  });
  
  
function sleep(ms) {
  return new Promise(resolve => setTimeout(resolve, ms));
}

var db = firebase.firestore();

var data = [
	["Máquina de Anestesia",1,"General Electric","AESTIVA MRI","AMTY00178"],
	["Máquina de Anestesia",1,"General Electric","AVANCE CS2","APKY01187"],
	["Máquina de Anestesia",1,"General Electric","AVANCE CS2","APKY01188"],
	["Máquina de Anestesia",1,"General Electric","AVANCE CS2","APKY01189"],
	["Máquina de Anestesia",1,"General Electric","AVANCE CS2","APKY01190"],
	["Máquina de Anestesia",1,"General Electric","AVANCE CS2","APKY01191"],
	["Máquina de Anestesia",1,"General Electric","AVANCE CS2","APKY01192"],
	["Máquina de Anestesia",1,"General Electric","AVANCE CS2","APKY01193"],
	["Máquina de Anestesia",1,"General Electric","AVANCE CS2","APKY01194"],
	["Máquina de Anestesia",1,"General Electric","AVANCE CS2","APKY01195"],
	["Máquina de Anestesia",1,"General Electric","AVANCE CS2","APKY01196"],
	["Máquina de Anestesia",1,"General Electric","AVANCE CS2","APKY01197"],
	["Máquina de Anestesia",1,"General Electric","AVANCE CS2","APKY01198"],
	["Máquina de Anestesia",1,"General Electric","AVANCE CS2","APKY01199"],
	["Máquina de Anestesia",1,"General Electric","AVANCE CS2","APKY01200"],
	["Máquina de Anestesia",1,"General Electric","AVANCE CS2","APKY01201"],
	["Máquina de Anestesia",1,"General Electric","AVANCE CS2","APKY01202"],
	["Máquina de Anestesia",1,"General Electric","AVANCE CS2","APKY01203"],
	["Máquina de Anestesia",1,"General Electric","AVANCE CS2","APKY01204"],
	["Máquina de Anestesia",1,"General Electric","AVANCE CS2","APKY01205"],
	["Máquina de Anestesia",1,"General Electric","AVANCE CS2","APKY01206"],
	["Máquina de Anestesia",1,"General Electric","AVANCE CS2","APKY01207"],
	["Máquina de Anestesia",1,"General Electric","AVANCE CS2","APKY01208"],
	["Máquina de Anestesia",1,"General Electric","AVANCE CS2","APKY01209"],
	["Máquina de Anestesia",1,"General Electric","AVANCE CS2","APKY01210"],
	["Vaporizador",1,"General Electric","TEC-850","SQBY02439"],
	["Vaporizador",1,"General Electric","TEC-850","SQBY02547"],
	["Vaporizador",1,"General Electric","TEC-850","SQBY02568"],
	["Vaporizador",1,"General Electric","TEC-850","SQBY02826"],
	["Vaporizador",1,"General Electric","TEC-850","SQBY02922"],
	["Vaporizador",1,"General Electric","TEC-850","SQBY02930"],
	["Vaporizador",1,"General Electric","TEC-850","SQBY02948"],
	["Vaporizador",1,"General Electric","TEC-850","SQBY03003"],
	["Vaporizador",1,"General Electric","TEC-850","SQBY03027"],
	["Vaporizador",1,"General Electric","TEC-850","SQBY03349"],
	["Vaporizador",1,"General Electric","TEC-850","SQBY03367"],
	["Vaporizador",1,"General Electric","TEC-850","SQBY03397"],
	["Vaporizador",1,"General Electric","TEC-850","SQBY03398"],
	["Vaporizador",1,"General Electric","TEC-850","SQBY03399"],
	["Vaporizador",1,"General Electric","TEC-850","SQBY03400"],
	["Vaporizador",1,"General Electric","TEC-850","SQBY03402"],
	["Vaporizador",1,"General Electric","TEC-850","SQBY03403"],
	["Vaporizador",1,"General Electric","TEC-850","SQBY03405"],
	["Vaporizador",1,"General Electric","TEC-850","SQBY03407"],
	["Vaporizador",1,"General Electric","TEC-850","SQBY03408"],
	["Vaporizador",1,"General Electric","TEC-850","SQBY03409"],
	["Vaporizador",1,"General Electric","TEC-850","SQBY03410"],
	["Vaporizador",1,"General Electric","TEC-850","SQBY03411"],
	["Vaporizador",1,"General Electric","TEC-850","SQBY03412"],
	["Vaporizador",1,"General Electric","TEC-6 PLUS","AESY14023"],
	["Vaporizador",1,"General Electric","TEC-6 PLUS","AESY15092"],
	["Vaporizador",1,"General Electric","TEC-6 PLUS","AESY17003"],
	["Vaporizador",1,"General Electric","TEC-6 PLUS","AESY17008"],
	["Vaporizador",1,"General Electric","TEC-6 PLUS","AESY17012"],
	["Vaporizador",1,"General Electric","TEC-6 PLUS","AESY17018"],
	["Vaporizador",1,"General Electric","TEC-6 PLUS","AESY17023"],
	["Vaporizador",1,"General Electric","TEC-6 PLUS","AESY17024"],
	["Vaporizador",1,"General Electric","TEC-6 PLUS","AESY17025"],
	["Vaporizador",1,"General Electric","TEC-6 PLUS","AESY17030"],
	["Vaporizador",1,"General Electric","TEC-6 PLUS","AESY17031"],
	["Vaporizador",1,"General Electric","TEC-6 PLUS","AESY17034"],
	["Vaporizador",1,"General Electric","TEC-6 PLUS","AESY17035"],
	["Vaporizador",1,"General Electric","TEC-6 PLUS","AESY17040"],
	["Vaporizador",1,"General Electric","TEC-6 PLUS","AESY17042"],
	["Vaporizador",1,"General Electric","TEC-6 PLUS","AESY17044"],
	["Vaporizador",1,"General Electric","TEC-6 PLUS","AESY17045"],
	["Vaporizador",1,"General Electric","TEC-6 PLUS","AESY17046"],
	["Vaporizador",1,"General Electric","TEC-6 PLUS","AESY17049"],
	["Vaporizador",1,"General Electric","TEC-6 PLUS","AESY17052"],
	["Vaporizador",1,"General Electric","TEC-6 PLUS","AESY17053"],
	["Vaporizador",1,"General Electric","TEC-6 PLUS","AESY18050"],
	["Vaporizador",1,"General Electric","TEC-6 PLUS","AESY18057"],
	["Vaporizador",1,"General Electric","TEC-6 PLUS","AESY18061"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV17182011004"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV17182122002"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV17182122003"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV17182122004"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV17182122005"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV17182180001"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171904070001"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171904070002"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171904070003"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171904070004"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171904070005"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171904070006"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171904070007"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171904070008"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171904070009"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171904070010"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171904710001"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171904710002"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171904710003"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171904710004"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171904710005"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171904710006"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171904710007"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171904710008"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171904710009"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171904710010"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171905790001"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171905790002"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171905790003"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171905790004"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171905790005"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171905790006"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171905790007"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171905790008"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171905890001"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171905890002"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171905890003"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171905890004"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171905890005"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171905890006"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171905890007"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171905890008"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171905890009"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171905890010"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171905890011"],
	["Monitor de Signos Vitales",1,"PLARRE","SV17","SV171905890012"],
	["Bomba de Infusión de Jeringa",1,"MEDIFUSION","3500","M112124"],
	["Bomba de Infusión de Jeringa",1,"MEDIFUSION","3500","M112125"],
	["Bomba de Infusión de Jeringa",1,"MEDIFUSION","3500","M112126"],
	["Bomba de Infusión de Jeringa",1,"MEDIFUSION","3500","M112127"],
	["Bomba de Infusión de Jeringa",1,"MEDIFUSION","3500","M112128"],
	["Bomba de Infusión de Jeringa",1,"MEDIFUSION","3500","M20777"],
	["Bomba de Infusión de Jeringa",1,"MEDIFUSION","3500","M44459"],
	["Bomba de Infusión de Jeringa",1,"MEDIFUSION","3500","M44506"],
	["Bomba de Infusión de Jeringa",1,"MEDIFUSION","3500","M60026"],
	["Bomba de Infusión de Jeringa",1,"MEDIFUSION","3500","M75496"],
	["Bomba Volumétrica",1,'',"VP 7000","71261697"],
	["Bomba Volumétrica",1,'',"VP 7000","71271607"],
	["Bomba Volumétrica",1,'',"VP 7000","71281607"],
	["Bomba Volumétrica",1,'',"VP 7000","71291607"],
	["Bomba Volumétrica",1,'',"VP 7000","71301607"],
	["Carro Rojo ",1,"METRO","LIFELINE","MLE190529-030"],
	["Sistema de Calentamieno de Fluido",1,'',"FLUIDO","70900738"],
	["Sistema de Calentamieno de Fluido",1,'',"FLUIDO","141102644"],
	["Sistema de Calentamieno de Fluido",1,'',"FLUIDO","160902976"],
	["Sistema de Calentamieno de Fluido",1,'',"FLUIDO","160902977"],
	["Sistema de Calentamieno de Fluido",1,'',"FLUIDO","160902978"],
	["Equipo de Thermoterapia",1,"MTRE","CRITICOOL","9936890000000"],
	["Equipo de Thermoterapia",1,"MTRE","CRITICOOL","9936890000000"],
	["Equipo de Thermoterapia",1,"MTRE","CRITICOOL","9960250000000"],
	["Equipo de Thermoterapia",1,"MTRE","CRITICOOL","9960250000000"],
	["Equipo de Thermoterapia",1,"MTRE","CRITICOOL","9960250000000"],
	["Equipo de Thermoterapia",1,"MTRE","CRITICOOL","9960250000000"],
	["Equipo de Thermoterapia",1,"MTRE","CRITICOOL","9960250000000"],
	["Monitor de Resonancia",1,"SCHILLER","SERENITY","94998001011"],
	["Monitor para incubación",1,'',"TOTAL TRACK","MA0118070006"],
	["Estilete Luminoso",1,"General Electric",'','3910'],
	["Monitor no Invasivo de Gasto Cardiaco y Hemodinamia",1,"CHEETAH MEDICAL",'',"V512018100635"],
	["Video Endoscopio",1,"STORZ","CMO","PQ18645"],
	["Manómetro de Control Universal PA MA",2,'','',''],
	["Refrigerador Para Medicamentos",2,'','',''],
	["Mandil de Plomo",10,'','',''],
	["Collarín Plomado",3,'','',''],
	["Gabinete Metálico Chico",4,'','',''],
	["Sistema de Ultrasonido Portátil",1,"General Electric","LOGIQ E","6046943WX0"]
];

data.forEach((item) => {
    db.collection("inventario").add({
		key:		`${uuid()}`,
		nombre:		item[0],
		cantidad:	parseInt(item[1]),
		marca:		item[2],
		modelo:		item[3],
		serie:		item[4],
		foto:		'',
		foto_serie:	'',
		estado:		0,
		area:		'',
		inUse:		false
    }).then(function(docRef) {
        console.log("Document written with ID: ", docRef.id);
    })
    .catch(function(error) {
        console.error("Error adding document: ", error);
    });
});